import React from "react";
import { AreaType, PointType, StoreType } from "../types";
import { Table } from "../lib/table";
export declare class Autofill {
    private readonly src;
    private readonly dst;
    private readonly direction;
    private readonly table;
    constructor(store: StoreType, draggingTo: PointType);
    get applied(): Table;
    get wholeArea(): AreaType;
    getCellStyle(target: PointType): React.CSSProperties;
    private getDestinationArea;
    private suggestDirection;
    private getChangePatterns;
}
//# sourceMappingURL=autofill.d.ts.map