import { Table } from "./table";
import { PointType } from "../types";
export declare const getCellRectPositions: (table: Table, e: HTMLDivElement, { y, x }: PointType) => {
    top: number;
    left: number;
    bottom: number;
    right: number;
    width: number;
    height: number;
};
export declare const getScreenRect: (e: HTMLDivElement) => {
    top: number;
    left: number;
    bottom: number;
    right: number;
    height: number;
    width: number;
};
export declare const virtualize: (table: Table, e: HTMLDivElement) => {
    ys: number[];
    xs: number[];
    adjuster: {
        top: number;
        left: number;
        bottom: number;
        right: number;
    };
};
export declare const smartScroll: (table: Table, e: HTMLDivElement, targetPoint: PointType, behavior?: ScrollBehavior) => void;
//# sourceMappingURL=virtualization.d.ts.map