import { Table } from "../../lib/table";
import { Expression } from "../evaluator";
export declare type FunctionProps = {
    args: Expression[];
    table: Table;
};
export declare class BaseFunction {
    example: string;
    helpTexts: string[];
    helpArgs: {
        name: string;
        description: string;
    }[];
    protected bareArgs: any[];
    protected table: Table;
    constructor({ args, table }: FunctionProps);
    protected validate(): void;
    call(): any;
}
export declare type FunctionMapping = {
    [functionName: string]: any;
};
//# sourceMappingURL=__base.d.ts.map