import { AddFunction } from "./functions/add";
import { MinusFunction } from "./functions/minus";
import { MultiplyFunction } from "./functions/multiply";
import { DivideFunction } from "./functions/divide";
import { ModFunction } from "./functions/mod";
import { SumFunction } from "./functions/sum";
import { ConcatFunction } from "./functions/concat";
import { ConcatenateFunction } from "./functions/concatenate";
import { EqFunction } from "./functions/eq";
import { NeFunction } from "./functions/ne";
import { GtFunction } from "./functions/gt";
import { GteFunction } from "./functions/gte";
import { LtFunction } from "./functions/lt";
import { LteFunction } from "./functions/lte";
import { NowFunction } from "./functions/now";
import { AndFunction } from "./functions/and";
import { OrFunction } from "./functions/or";
import { IfFunction } from "./functions/if";
import { IfErrorFunction } from "./functions/iferror";
import { NotFunction } from "./functions/not";
import { CountFunction } from "./functions/count";
import { CountifFunction } from "./functions/countif";
import { SumifFunction } from "./functions/sumif";
import { VlookupFunction } from "./functions/vlookup";
import { HlookupFunction } from "./functions/hlookup";
import { LogFunction } from "./functions/log";
import { Log10Function } from "./functions/log10";
import { LnFunction } from "./functions/ln";
import { AbsFunction } from "./functions/abs";
import { ProductFunction } from "./functions/product";
import { RandFunction } from "./functions/rand";
import { PiFunction } from "./functions/pi";
import { ExpFunction } from "./functions/exp";
import { RadiansFunction } from "./functions/radians";
import { PowerFunction } from "./functions/power";
import { SqrtFunction } from "./functions/sqrt";
import { RoundFunction } from "./functions/round";
import { RoundupFunction } from "./functions/roundup";
import { RounddownFunction } from "./functions/rounddown";
import { SinFunction } from "./functions/sin";
import { CosFunction } from "./functions/cos";
import { TanFunction } from "./functions/tan";
import { AsinFunction } from "./functions/asin";
import { AcosFunction } from "./functions/acos";
import { AtanFunction } from "./functions/atan";
import { Atan2Function } from "./functions/atan2";
import { CountaFunction } from "./functions/counta";
import { AverageFunction } from "./functions/average";
import { MaxFunction } from "./functions/max";
import { MinFunction } from "./functions/min";
import { LenFunction } from "./functions/len";
import { LenbFunction } from "./functions/lenb";
import { UminusFunction } from "./functions/uminus";
import { RowFunction } from "./functions/row";
import { ColFunction } from "./functions/col";
export declare const functions: {
    abs: typeof AbsFunction;
    add: typeof AddFunction;
    divide: typeof DivideFunction;
    mod: typeof ModFunction;
    minus: typeof MinusFunction;
    uminus: typeof UminusFunction;
    multiply: typeof MultiplyFunction;
    pow: typeof PowerFunction;
    power: typeof PowerFunction;
    sqrt: typeof SqrtFunction;
    sum: typeof SumFunction;
    sumif: typeof SumifFunction;
    max: typeof MaxFunction;
    min: typeof MinFunction;
    average: typeof AverageFunction;
    count: typeof CountFunction;
    counta: typeof CountaFunction;
    countif: typeof CountifFunction;
    product: typeof ProductFunction;
    concat: typeof ConcatFunction;
    concatenate: typeof ConcatenateFunction;
    eq: typeof EqFunction;
    ne: typeof NeFunction;
    gt: typeof GtFunction;
    gte: typeof GteFunction;
    lt: typeof LtFunction;
    lte: typeof LteFunction;
    and: typeof AndFunction;
    or: typeof OrFunction;
    round: typeof RoundFunction;
    rounddown: typeof RounddownFunction;
    roundup: typeof RoundupFunction;
    if: typeof IfFunction;
    iferror: typeof IfErrorFunction;
    not: typeof NotFunction;
    vlookup: typeof VlookupFunction;
    hlookup: typeof HlookupFunction;
    row: typeof RowFunction;
    col: typeof ColFunction;
    now: typeof NowFunction;
    rand: typeof RandFunction;
    log: typeof LogFunction;
    log10: typeof Log10Function;
    ln: typeof LnFunction;
    exp: typeof ExpFunction;
    pi: typeof PiFunction;
    radians: typeof RadiansFunction;
    sin: typeof SinFunction;
    cos: typeof CosFunction;
    tan: typeof TanFunction;
    asin: typeof AsinFunction;
    acos: typeof AcosFunction;
    atan: typeof AtanFunction;
    atan2: typeof Atan2Function;
    len: typeof LenFunction;
    lenb: typeof LenbFunction;
};
//# sourceMappingURL=mapping.d.ts.map