export { GridSheet } from "./components/GridSheet";
export { createTableRef } from "./components/Tabular";
export { Renderer, RendererMixinType } from "./renderers/core";
export { Parser, ParserMixinType } from "./parsers/core";
export { oa2aa, aa2oa, generateInitial, generateInitialSimple } from "./lib/structs";
export { x2c, c2x, y2r, r2y, p2a, a2p } from "./lib/converters";
export { MatrixType, CellType, FeedbackType, OptionsType, WriterType, CellsByAddressType, CellsByIdType, } from "./types";
export { ThousandSeparatorRendererMixin } from "./renderers/thousand_separator";
export { CheckboxRendererMixin } from "./renderers/checkbox";
export { BaseFunction } from "./formula/functions/__base";
export { Table } from "./lib/table";
//# sourceMappingURL=index.d.ts.map